curl -X PUT 'https://api.tolt.com/v1/transactions/txn_eK9bzRGn46BhVgNFHD6fDgXW/refund' \
-H 'Authorization: Bearer <API_KEY>'
{
"success": true,
"data": [
{
"id": "txn_eK9bzRGn46BhVgNFHD6fDgXW",
"status": "refunded",
"amount": 14999,
"amount_excluding_tax": null,
"tax": null,
"currency": "USD",
"payment_currency": "USD",
"payment_amount": null,
"payment_amount_excluding_tax": null,
"payment_tax": null,
"charge_id": "ch_9bzRGn46BhVgNFHD6fDgXW",
"metadata": null,
"source": "stripe",
"partner_id": "d30a0807-a0f0-44fc-a38e-2c3a1f640f07",
"organization_id": "org_JE3mfYNL9ci7sFaJazAv2",
"program_id": "prg_YRsbPDAKhWfdqJbFACheh",
"click_id": "clk_7mbzRGn46BhVgNFHD6fDgXW",
"customer_id": "cust_dK9bzRGn46BhVgNFHD6fDgXW",
"created_at": "2025-04-25T09:35:53.025Z",
"updated_at": "2025-04-25T09:36:10.740Z",
"amount_including_tax": null,
"payment_amount_including_tax": null,
"product_ids": [],
"interval": "year",
"billing_type": "subscription",
"product_names": [],
"conversion_rate": null
}
]
}
Transactions
Refund Transaction
This endpoint refunds a transaction.
PUT
/
v1
/
transactions
/
:id
/
refund
curl -X PUT 'https://api.tolt.com/v1/transactions/txn_eK9bzRGn46BhVgNFHD6fDgXW/refund' \
-H 'Authorization: Bearer <API_KEY>'
{
"success": true,
"data": [
{
"id": "txn_eK9bzRGn46BhVgNFHD6fDgXW",
"status": "refunded",
"amount": 14999,
"amount_excluding_tax": null,
"tax": null,
"currency": "USD",
"payment_currency": "USD",
"payment_amount": null,
"payment_amount_excluding_tax": null,
"payment_tax": null,
"charge_id": "ch_9bzRGn46BhVgNFHD6fDgXW",
"metadata": null,
"source": "stripe",
"partner_id": "d30a0807-a0f0-44fc-a38e-2c3a1f640f07",
"organization_id": "org_JE3mfYNL9ci7sFaJazAv2",
"program_id": "prg_YRsbPDAKhWfdqJbFACheh",
"click_id": "clk_7mbzRGn46BhVgNFHD6fDgXW",
"customer_id": "cust_dK9bzRGn46BhVgNFHD6fDgXW",
"created_at": "2025-04-25T09:35:53.025Z",
"updated_at": "2025-04-25T09:36:10.740Z",
"amount_including_tax": null,
"payment_amount_including_tax": null,
"product_ids": [],
"interval": "year",
"billing_type": "subscription",
"product_names": [],
"conversion_rate": null
}
]
}
Base URL https://api.tolt.com
Response
boolean
Whether the request was successful
array[object]
Hide properties
Hide properties
string
Unique identifier for the transaction
number
Transaction amount in cents
string
ID of the associated customer
string
The billing type
number | null
Transaction amount excluding tax in cents
number | null
Transaction amount including tax in cents
number | null
Tax amount in cents
string
Currency code for the transaction amount
string
Currency used for the payment
number | null
Payment amount in cents
number | null
Payment amount excluding tax in cents
number | null
Payment amount including tax in cents
number | null
Payment tax amount in cents
string
Associated charge identifier
string
Associated click identifier
string
ISO 8601 timestamp of creation
string
Source of the transaction
string
Status of the transaction
object | null
Optional metadata
string
Subscription interval
string
ISO 8601 timestamp of last update
array[string]
List of product identifiers associated with the transaction
array[string] | null
List of product names associated with the transaction
number | null
Conversion rate if currency conversion is involved
string
ID of the partner associated with the transaction
string
Program ID the transaction belongs to
string
Organization ID
curl -X PUT 'https://api.tolt.com/v1/transactions/txn_eK9bzRGn46BhVgNFHD6fDgXW/refund' \
-H 'Authorization: Bearer <API_KEY>'
{
"success": true,
"data": [
{
"id": "txn_eK9bzRGn46BhVgNFHD6fDgXW",
"status": "refunded",
"amount": 14999,
"amount_excluding_tax": null,
"tax": null,
"currency": "USD",
"payment_currency": "USD",
"payment_amount": null,
"payment_amount_excluding_tax": null,
"payment_tax": null,
"charge_id": "ch_9bzRGn46BhVgNFHD6fDgXW",
"metadata": null,
"source": "stripe",
"partner_id": "d30a0807-a0f0-44fc-a38e-2c3a1f640f07",
"organization_id": "org_JE3mfYNL9ci7sFaJazAv2",
"program_id": "prg_YRsbPDAKhWfdqJbFACheh",
"click_id": "clk_7mbzRGn46BhVgNFHD6fDgXW",
"customer_id": "cust_dK9bzRGn46BhVgNFHD6fDgXW",
"created_at": "2025-04-25T09:35:53.025Z",
"updated_at": "2025-04-25T09:36:10.740Z",
"amount_including_tax": null,
"payment_amount_including_tax": null,
"product_ids": [],
"interval": "year",
"billing_type": "subscription",
"product_names": [],
"conversion_rate": null
}
]
}
⌘I

